Skip to content

List webhook endpoints

GET
/v1/webhook-endpoints
curl --request GET \
--url https://your-notavia-host/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>'

Webhook endpoints list.

Media type application/json
object
data
Array<object>
object
id
string format: uuid
url
string
status
string
Allowed values: active paused auto_disabled
event_filters
Array<string>
description
string
nullable
timeout_seconds
integer
signing_secret_prefix

First 8 characters of the signing secret for recognition only — full secret shown only at creation/rotation.

string
created_at
string format: date-time
Example
{
"data": [
{
"status": "active"
}
]
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}